TrainFog Developers
Companies

Elenca aziende

GET
/companies
AuthorizationBearer <token>

In: header

Query Parameters

workspace?string
status?string
Value in"New" | "Open" | "In Progress" | "Open Deal" | "Unqualified" | "Attempted to Contact" | "Connected" | "Bad Timing"
stage?string
Value in"Subscriber" | "Lead" | "Marketing Qualified Lead" | "Sales Qualified Lead" | "Opportunity" | "Customer" | "Evangelist" | "Other"
owner?string
search?string
limit?integer
Formatint32

Response Body

application/json

application/json

curl -X GET "https://api.trainfog.com/developers/v1.0/companies"
{
  "count": 1,
  "data": [
    {
      "id": "688893ebd804d8588b1afbe0",
      "workspace": "688893ebd804d8588b1afbe0",
      "name": "Acme Inc.",
      "domain": "acme.com",
      "industry": "Retail",
      "status": "New",
      "stage": "Lead",
      "owner": "688893ebd804d8588b1afbe1",
      "consents": [
        {
          "type": "newsletter",
          "granted": true,
          "updatedAt": "2019-08-24T14:15:22Z",
          "method": "manual",
          "ip": "203.0.113.10",
          "userAgent": "Mozilla/5.0"
        }
      ],
      "traits": {},
      "createdAt": "2019-08-24T14:15:22Z",
      "updatedAt": "2019-08-24T14:15:22Z"
    }
  ]
}
{
  "error": "Unauthorized"
}